Package org.eclipse.emf.compare.ide.ui.internal.util

# Class JFaceUtil

java.lang.Object
org.eclipse.emf.compare.ide.ui.internal.util.JFaceUtil

public class JFaceUtil extends Object

## Constructor Summary

Constructors
Constructor
Description
`JFaceUtil()`

## Method Summary

Modifier and Type
Method
Description
`static boolean`
`isFiltered(org.eclipse.jface.viewers.StructuredViewer viewer, Object object, Object parent)`
All element filter tests must go through this method.
`static Set<?>`
`visibleElements(org.eclipse.jface.viewers.TreeViewer treeViewer, com.google.common.base.Predicate<? super Object> predicate)`
Return the set of visible elements from the given viewer filtered by the given predicate.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### JFaceUtil

public JFaceUtil()

## Method Details

### isFiltered

public static boolean isFiltered(org.eclipse.jface.viewers.StructuredViewer viewer, Object object, Object parent)
All element filter tests must go through this method.

Parameters:
  `viewer` - the viewer
  `object` - the object to filter
  `parent` - the parent
Returns:
  true if the element is filtered

### visibleElements

public static Set<?> visibleElements(org.eclipse.jface.viewers.TreeViewer treeViewer, com.google.common.base.Predicate<? super Object> predicate)
Return the set of visible elements from the given viewer filtered by the given predicate.

Parameters:
  `treeViewer` -
  `predicate` -
Returns: